DocsOmniFi APIsChangelog
SkySparcContact UsLog In
OmniFi APIs

Execute Async

api/autotest/workspaces/{WorkspaceId}/testplan/{NodeId}/execute-async

Asynchronously executes a test plan node by ID.
Returns the result code 202:Accepted when the execution has started
together with the Location header with the url to the result.

Path Params
int32
required
≥ 1

The database ID of the workspace to execute. This is obtained as
return value of CreateWorkspace (PUT /workspaces), or can be
retrieved by inspecting the result of ListWorkspaces
(GET /workspaces).

int32
required

The logical ID of the node to execute. Inner nodes (Groups and test cases)
are specified with positive database ID, task leaf nodes are specified with
negative database ID.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json